Package: geb.module

## [Groovy] Class AbstractInput

- geb.module.AbstractInput

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class Module` | `browser, navigator`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `String` | `getInputType()`
    `` | `protected void` | `initialized()`
    `` | `protected boolean` | `isTypeValid(String type)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class FormElement` | `ensureAtMostOneBaseElement, initialized, isDisabled, isEditable, isEnabled, isReadOnly`
    `class Module` | `$, $, $, $, $, $, $, $, $, $, $, $, $, $, $, add, add, add, add, allElements, asBoolean, attr, children, children, children, classes, click, click, click, click, closest, closest, css, elementIterator, eq, equals, filter, filter, find, find, find, find, find, find, find, find, find, find, find, find, find, find, find, findAll, first, firstElement, getAt, getAt, getAt, getAttribute, getContentPath, getHasOwner, getHeight, getInitializedNavigator, getJquery, getJs, getRootContainer, getStringRepresentation, getWidth, getX, getY, has, has, has, hasClass, hasNot, hasNot, hasNot, hashCode, head, init, init, initialized, is, isDisplayed, isEmpty, isFocused, iterator, last, lastElement, leftShift, methodMissing, module, module, moduleList, moduleList, next, next, next, nextAll, nextAll, nextAll, nextUntil, nextUntil, not, not, parent, parent, parent, parents, parents, parents, parentsUntil, parentsUntil, plus, prevAll, prevAll, prevAll, prevUntil, prevUntil, previous, previous, previous, propertyMissing, propertyMissing, remove, siblings, siblings, siblings, singleElement, size, tag, tail, text, toString, uninitializedException, unique, value, value, verifyNotEmpty, waitFor, waitFor, waitFor, waitFor`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### String getInputType()

    - #### @Override protected void initialized()

    - #### protected boolean isTypeValid(String type)